Name: psfex
Version: 3.9.1
Release: 7%{?dist}
Summary: Model the Point Spread Function from FITS images

Group: Applications/Engineering
License: GPLv3+
URL: http://astromatic.iap.fr/software/%{name}
Source0: http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz
# Change plcol() to plcol0()
Patch0: psfex-plplot.patch
BuildRequires: fftw-devel >= 3.1
BuildRequires: atlas-devel >= 3.6.0
BuildRequires: plplot-devel >= 5.3.1

%description
PSFEx (“PSF Extractor”) extracts models of the Point Spread Function (PSF) 
from FITS images processed with SExtractor and measures the quality of images. 
The generated PSF models can be used for model-fitting photometry or 
morphological analyses.

%prep
%setup -q
%patch0 -p1 -b .plplot

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYRIGHT HISTORY LICENSE README THANKS doc/psfex.pdf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%exclude %{_mandir}/manx/*
%{_datadir}/%{name}/

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 18 2011 Orion Poplawski <orion@cora.nwra.com> - 3.9.1-4
- Rebuild for plplot 5.9.8
- Add patch to fix use of deprecated plplot functions

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 3.9.1-2
- Dropped psfex.x and BUGS
- files section more explicit

* Mon Nov 08 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 3.9.1-1
- New upstream source

